Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat.training
Class NEATNeuronGene

    java.lang.Object
      org.encog.neural.neat.training.NEATBaseGene
          org.encog.neural.neat.training.NEATNeuronGene

All Implemented Interfaces:
  Serializable, Comparable<NEATBaseGene>

    public class NEATNeuronGene

extends NEATBaseGene
implements Serializable

Implements a NEAT neuron gene. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

See Also:
  Serialized Form

Constructor Summary
`NEATNeuronGene()` The default constructor.
`NEATNeuronGene(NEATNeuronGene other)` Construct this gene by comping another.
`NEATNeuronGene(NEATNeuronType type, ActivationFunction theActivationFunction, long id, long innovationID)` Construct a neuron gene.

Method Summary
`void` | `copy(NEATNeuronGene gene)` Copy another gene to this one.
`ActivationFunction` | `getActivationFunction()`
`NEATNeuronType` | `getNeuronType()`
`void` | `setActivationFunction(ActivationFunction activationFunction)`
`void` | `setNeuronType(NEATNeuronType neuronType)` Set the neuron type.
`String` | `toString()`

Methods inherited from class org.encog.neural.neat.training.NEATBaseGene
`compareTo, getId, getInnovationId, setId, setInnovationId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NEATNeuronGene

    public NEATNeuronGene()

  The default constructor.

### NEATNeuronGene

    public NEATNeuronGene(NEATNeuronType type,
                          ActivationFunction theActivationFunction,
                          long id,
                          long innovationID)

  Construct a neuron gene.

  Parameters:
    `type` - The neuron type.
    `theActivationFunction` - The activation function.
    `id` - The neuron id.
    `innovationID` - The innovation id.

### NEATNeuronGene

    public NEATNeuronGene(NEATNeuronGene other)

  Construct this gene by comping another.

  Parameters:
    `other` - The other gene to copy.

Method Detail

### copy

    public void copy(NEATNeuronGene gene)

  Copy another gene to this one.

  Parameters:
    `gene` - The other gene.

### getNeuronType

    public NEATNeuronType getNeuronType()

  Returns:
    The type for this neuron.

### setNeuronType

    public void setNeuronType(NEATNeuronType neuronType)

  Set the neuron type.

  Parameters:
    `neuronType` - The neuron type.

### getActivationFunction

    public ActivationFunction getActivationFunction()

  Returns:
    the activationFunction

### setActivationFunction

    public void setActivationFunction(ActivationFunction activationFunction)

  Parameters:
    `activationFunction` - the activationFunction to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.